<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="cs-plugin-toolbar bottom">
    <div class="left-aligned">
        <button type="button" class="btn btn-blue btn-right restore_translations">
			<?php esc_html_e( 'Restore the default text', 'consent-magic' ); ?>
        </button>
    </div>
</div>

<div class="cs_preview_container cs_restore_translations_wrap"
     style="display: none; <?php echo ( isset( $settings_page ) ) ? 'position:absolute;' : '' ?>">
    <div class="cs-info-bar cs-public-cookie-popup popup_small"
         style="box-shadow: rgba(0,0,0,0.5) 0 2px 10px;text-align: center;">
        <div class="cs-modal cs-blowup">
            <div class="cs-modal-dialog" role="document">
                <div class="cs-modal-content cs-bar-popup">
                    <div class="cs-modal-body">
                        <div class="cs-container-fluid cs-tab-container">
                            <p><?php esc_html_e( 'This will restore the default translations for all front-end text, and default categories. Custom text translations and extra categories translations will not be affected.', 'consent-magic' ); ?></p>
                            <button type="button" class="btn btn-blue btn-right restore_translations_close">
								<?php esc_html_e( 'Cancel', 'consent-magic' ); ?>
                            </button>
                            <button type="submit" style="margin-bottom: 20px;" name="cs_restore_translations"
                                    class="btn btn-blue btn-right restore_translations_close"
                                    onClick="return cs_store_settings_btn_click(this.name)">
                                <i class="icon-delete"></i> <?php esc_html_e( 'Delete and Restore', 'consent-magic' ); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>