<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="cs-plugin-toolbar bottom headline rules-wrap">
    <div class="right-aligned preview_container cs_preview_container" style="display:block;">
        <a href="<?php echo esc_url( admin_url( 'admin.php?page=consent-magic' ) ); ?>" class="btn btn-blue">
            <i class="icon-restore"></i> <?php esc_html_e( 'Back', 'consent-magic' ); ?></a>
        <button type="button" class="btn btn-blue btn_preview_rule_edit">
            <i class="icon-browse"></i> <?php esc_html_e( 'Preview', 'consent-magic' ); ?>
        </button>
        <button type="submit" name="update_admin_settings_form" class="btn btn-blue btn_single_save"
                onClick="return cs_store_settings_btn_click(this.name)">
            <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
        </button>
        <div class="preview_wrap"></div>
    </div>
</div>