<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>

<div class="wrap cs-wrap">
    <h2 class="wp-heading-inline"><?php esc_html_e( 'Geolocation', 'consent-magic' ); ?></h2>

    <div class="cs-tab-container">
        <form method="post" action="<?php echo get_admin_url( null, 'admin.php?page=cs-geolocation' ); ?>"
              id="cs_settings_geolocation">
            <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>

			<?php
			// Set nonce:
			if ( function_exists( 'wp_nonce_field' ) ) {
				wp_nonce_field( 'cs-update-' . CMPRO_SETTINGS_FIELD );
			} ?>

            <div class="cs-tab-content" style="display: block;">
				<?php
				//save button
				include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/geolocation/general-geolocation-html.php";
				?>
            </div>
        </form>
    </div>
</div>