<?php
namespace ConsentMagicPro;
?>

<div class="wrap cs-wrap">
    <form action="options.php" method="post">
        <div class="main">
            <h2 class="wp-heading-inline"><?php esc_html_e( 'Manage your ConsentMagic Pro license:', 'consent-magic' ); ?></h2>
            <div class="cs-tab-content" style="display: block;">
                <div class="container">
                    <div class="row align-items-center">
						<?php settings_fields( $this->data_key ); ?>
						<?php
						if ( get_option( 'wc_am_client_consent_magic_pro_activated' ) == 'Canceled' ) {
							?>
                            <input type="hidden" id="wc_am_client_consent_magic_pro_deactivate_checkbox"
                                   name="wc_am_client_consent_magic_pro_deactivate_checkbox" value="on" checked>

                            <div class="col-12 preview_container_buttons">
                                <h4 class="indicator-label"
                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
                                <span class="btn btn-link preview_color_btn"
                                      style="margin: 0;"><?php esc_html_e( 'Canceled', 'consent-magic' ); ?></span>
                            </div>

                            <div class="col-12 preview_container_buttons">
                                <h4 class="indicator-label"
                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Your Product ID:', 'consent-magic' ); ?></h4>
                                <span class="btn btn-link preview_color_btn"
                                      style="margin: 0;"><?php esc_html_e( get_option( 'wc_am_product_id_consent_magic_pro' ), 'consent-magic' ); ?></span>
                            </div>

                            <div class="col-12">
                                <h4 class="indicator-label"
                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
                                <span class="settings_option"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
                            </div>

                            <div class="col-12">
                                <h4 class="indicator-label"
                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
                                <span class="settings_option"><?php echo CMPRO_LICENSE_NAME; ?></span>
                            </div>

                            <div class="col-12">
                                <h4 class="indicator-label"
                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
                                <span class="settings_option"
                                      style="text-transform: uppercase;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                                        class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span>
                            </div>

                            <div class="col full-width-input" style="margin-top: 15px;">
                                <input id="api_key"
                                       name="wc_am_client_consent_magic_pro[wc_am_client_consent_magic_pro_api_key]"
                                       size="25" type="text" value="************" disabled>
                            </div>

                            <p class="submit col-12">
                                <input type="submit" name="submit" id="submit" class="btn btn-blue" value="Deactivate">
                            </p>

                            <p>
								<?php esc_html_e( 'If your don\'t have key, you can take it from', 'consent-magic' ); ?>
                                <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/plugins/consentmagic/' ); ?>"
                                   target="_blank" rel="nofollow"><?php esc_html_e( 'here', 'consent-magic' ); ?></a>
                            </p>
							<?php
						} else {
							if ( get_option( 'wc_am_client_consent_magic_pro_activated' ) == 'Activated' || get_option( 'wc_am_client_consent_magic_pro_activated' ) == 'Expired' ) {
								?>
                                <input type="hidden" id="wc_am_client_consent_magic_pro_deactivate_checkbox"
                                       name="wc_am_client_consent_magic_pro_deactivate_checkbox" value="on" checked>

                                <div class="col-12 preview_container_buttons">
                                    <h4 class="indicator-label"
                                        style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
                                    <span class="btn btn-link preview_color_btn"
                                          style="margin: 0;"><?php esc_html_e( 'Activated', 'consent-magic' ); ?></span>
                                </div>

                                <div class="col-12 preview_container_buttons">
                                    <h4 class="indicator-label"
                                        style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Your Product ID:', 'consent-magic' ); ?></h4>
                                    <span class="btn btn-link preview_color_btn"
                                          style="margin: 0;"><?php esc_html_e( get_option( 'wc_am_product_id_consent_magic_pro' ), 'consent-magic' ); ?></span>
                                </div>

                                <div class="col-12">
                                    <h4 class="indicator-label"
                                        style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
                                    <span class="settings_option"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
                                </div>

                                <div class="col-12">
                                    <h4 class="indicator-label"
                                        style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
                                    <span class="settings_option"><?php echo CMPRO_LICENSE_NAME; ?></span>
                                </div>

                                <div class="col-12">
                                    <h4 class="indicator-label"
                                        style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
                                    <span class="settings_option"
                                          style="text-transform: uppercase;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                                            class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span>
                                </div>

                                <div class="col full-width-input" style="margin-top: 15px;">
                                    <input id="api_key"
                                           name="wc_am_client_consent_magic_pro[wc_am_client_consent_magic_pro_api_key]"
                                           size="25" type="text" value="************" disabled>
                                </div>

                                <p class="submit col-12">
                                    <input type="submit" name="submit" id="submit" class="btn btn-blue"
                                           value="Deactivate">
                                </p>

                                <p>
									<?php esc_html_e( 'If your don\'t have key, you can take it from', 'consent-magic' ); ?>
                                    <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/plugins/consentmagic/' ); ?>"
                                       target="_blank"
                                       rel="nofollow"><?php esc_html_e( 'here', 'consent-magic' ); ?></a>
                                </p>
								<?php
							} else {
								?>
                                <div class="col-12">
                                    <div class="row align-items-center">
                                        <div class="col-3">
                                            <h4 class="indicator-label"
                                                style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
                                        </div>

                                        <div class="col-9">
                                            <span class="settings_option"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
                                        </div>

                                        <div class="col-3">
                                            <h4 class="indicator-label"
                                                style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
                                        </div>

                                        <div class="col-9">
                                            <span class="settings_option"><span
                                                        class="settings_option"><?php echo CMPRO_LICENSE_NAME; ?></span></span>
                                        </div>

                                        <div class="col-3">
                                            <h4 class="indicator-label"
                                                style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
                                        </div>

                                        <div class="col-9">
                                            <span class="settings_option"
                                                  style="text-transform: uppercase;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                                                    class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span>
                                        </div>

                                        <div class="col-3">
                                            <h4 class="indicator-label"
                                                style="margin-bottom: 0;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
                                        </div>

                                        <div class="col full-width-input">
                                            <input id="api_key"
                                                   name="wc_am_client_consent_magic_pro[wc_am_client_consent_magic_pro_api_key]"
                                                   size="25" type="text" value="">
                                        </div>

                                        <div class="col-12" style="margin-bottom: 25px;">
                                            <p style="font-size: 16px;">
												<?php esc_html_e( 'You have your license key in the order confirmation email, and you can get it from ', 'consent-magic' ); ?>
                                                <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/my-account' ); ?>"
                                                   style="text-transform: none;" target="_blank"
                                                   rel="nofollow"><?php esc_html_e( 'your account', 'consent-magic' ); ?></a>
												<?php esc_html_e( ' on our website. We also sent you an email containing your login data.', 'consent-magic' ); ?>
                                            </p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-12" style="margin-bottom: 15px;">
                                    <div class="row align-items-center">
                                        <div class="col-3">
                                            <h4 class="indicator-label"
                                                style="margin-bottom: 0;"><?php esc_html_e( 'Your Product ID:', 'consent-magic' ); ?></h4>
                                        </div>

                                        <div class="col full-width-input">
                                            <input id="product_id" name="wc_am_product_id_consent_magic_pro" size="25"
                                                   type="text" value="">
                                        </div>

                                        <div class="col-12">
                                            <p style="margin: 15px 0;font-size: 16px;">
												<?php esc_html_e( 'You have your Product ID in the order confirmation email, and you can get it from your account on our website.', 'consent-magic' ); ?>
                                            </p>
                                        </div>
                                    </div>
                                </div>

                                <p class="submit col-12">
                                    <input type="submit" name="submit" id="submit" class="btn btn-blue"
                                           value="Activate">
                                </p>

                                <p>
									<?php esc_html_e( 'If your don\'t have key, you can take it from', 'consent-magic' ); ?>
                                    <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/plugins/consentmagic/' ); ?>"
                                       target="_blank"
                                       rel="nofollow"><?php esc_html_e( 'here', 'consent-magic' ); ?></a>
                                </p>
								<?php
							}
						}
						?>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>