<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container">
        <table id="proof_consent_data" class="display" style="width:100%;">
            <thead>
            <tr>
                <th></th>
                <th><?php esc_html_e( 'IP', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Time', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'UUID', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Consent', "consent-magic" ); ?></th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th></th>
                <th><?php esc_html_e( 'IP', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Time', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'UUID', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Consent', "consent-magic" ); ?></th>
            </tr>
            </tfoot>
        </table>
    </div>

    <div class="container container-clear container-footer">
		<?php
		//save button
		include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-export-consent-button.php";
		?>
		<?php
		//save button
		include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-delete-consent-button.php";
		?>
    </div>
</div>