<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$options = get_cookies_terms_list();

?>

<div class="wrap cs-wrap">
    <h2 class="wp-heading-inline"><?php esc_html_e( 'Settings', 'consent-magic' ); ?></h2>
    <div class="cs-tab-container">
        <form method="post" action="<?php echo get_admin_url( null, 'admin.php?page=cs-settings' ); ?>"
              id="cs_settings_tab_form">
            <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>
			<?php
			// Set nonce:
			if ( function_exists( 'wp_nonce_field' ) ) {
				wp_nonce_field( 'cs-update-' . CMPRO_SETTINGS_FIELD );
			} ?>

            <div class="cs-tab-content" style="display: block;">
				<?php
				//save button
				include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/settings/general-functions-html.php";
				?>
				<?php
				//settings form fields for module
				do_action( 'cs_module_settings_form' ); ?>
            </div>
        </form>
    </div>
</div>