<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>

<div class="wrap cs-wrap">
    <h2 class="wp-heading-inline"><?php esc_html_e( 'Proof of consent Statistics:', 'consent-magic' ); ?></h2>

    <div class="cs-tab-container">
		<?php
		//inside the settings form
		$setting_views_a = array(
			'cs-statistics' => 'cs-statistics.php',
		);

		?>
        <form method="post" action="<?php echo get_admin_url( null, 'admin.php?page=cs-proof-statistics' ); ?>"
              id="cs_settings_form">
            <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>
			<?php
			// Set nonce:
			if ( function_exists( 'wp_nonce_field' ) ) {
				wp_nonce_field( 'cs-update-' . CMPRO_SETTINGS_FIELD );
			}
			foreach ( $setting_views_a as $target_id => $value ) {
				$settings_view = CMPRO_PLUGIN_VIEWS_PATH . '/admin/statistics/' . $value;

				if ( file_exists( $settings_view ) && getCurrentAdminTab( 'cs-statistics' ) == $target_id ) {
					include $settings_view;
				}
			}
			?>
			<?php
			//settings form fields for module
			do_action( 'cs_module_settings_form' ); ?>
        </form>
    </div>
</div>