<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="cs-plugin-toolbar bottom">
    <div class="left-aligned">
        <button type="button" class="btn btn-blue btn-right delete_proof_consent">
            <i class="icon-delete"></i> <?php esc_html_e( 'Delete all consents', 'consent-magic' ); ?>
        </button>
    </div>
</div>

<div class="cs_preview_container cs_delete_proof_consent_wrap" style="display: none;">
    <div class="cs-info-bar cs-public-cookie-popup popup_small"
         style="box-shadow: rgba(0,0,0,0.5) 0 2px 10px;text-align: center;">
        <div class="cs-modal cs-blowup">
            <div class="cs-modal-dialog" role="document">
                <div class="cs-modal-content cs-bar-popup">
                    <div class="cs-modal-body">
                        <div class="cs-container-fluid cs-tab-container">
                            <p><?php esc_html_e( 'You are about to delete all stored consent!', 'consent-magic' ); ?></p>
                            <button type="submit" style="margin-bottom: 20px;" name="delete_proof_consent"
                                    class="btn btn-blue btn-right export_proof_consent_popup"
                                    onClick="return cs_store_settings_btn_click(this.name)">
                                <i class="icon-layout"></i> <?php esc_html_e( 'Download consent CSV and Delete', 'consent-magic' ); ?>
                            </button>
                            <button type="submit" style="margin-right: 10px;" name="delete_proof_consent"
                                    class="btn btn-grey btn-right"
                                    onClick="return cs_store_settings_btn_click(this.name)">
                                <i class="icon-delete"></i> <?php esc_html_e( 'Just delete', 'consent-magic' ); ?>
                            </button>
                            <button type="button" class="btn btn-blue btn-right delete_proof_consent_close">
								<?php esc_html_e( 'Close', 'consent-magic' ); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>