<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$id = $target_id;
?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container">
        <ul class="cs_sub_tab templates_sub_tab">
            <li data-target="templates-bar"><a><?php esc_html_e( 'Templates', 'consent-magic' ); ?></a></li>
            <li data-target="adjust-bar"><a><?php esc_html_e( 'Adjust sizes', 'consent-magic' ); ?></a></li>
        </ul>

        <div class="cs_sub_tab_container container container-clear no-padding">
            <div class="cs_sub_tab_content" data-id="templates-bar" style="display:block;">
				<?php
				//templates-bar
				include CMPRO_PLUGIN_VIEWS_PATH . "admin/general/design/templates-bar.php";
				?>
            </div>

            <div class="cs_sub_tab_content" data-id="adjust-bar">
				<?php
				//adjust-bar
				include CMPRO_PLUGIN_VIEWS_PATH . "admin/general/design/adjust-bar.php";
				?>
            </div>
        </div>
    </div>
</div>