<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$options = get_existing_pages();
?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">

    <div class="container">
        <div class="row align-items-center">
            <div class="col-6">
                <h4 class="indicator-label"
                    style="margin-bottom: 0;"><?php esc_html_e( 'Select an existing page', 'consent-magic' ); ?></h4>
            </div>
            <div class="col-6">
				<?php renderSelectInput( 'cs_policy_existing_page', $options, true ); ?>
            </div>
        </div>
    </div>

    <div class="container container-clear">
		<?php
		//save button
		include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-settings-save-button.php";
		?>
    </div>
</div>